Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA
Class Any

    java.lang.Object
      |
      +--org.omg.CORBA.Any
            |
            +--org.openorb.CORBA.Any

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public class Any
extends Any

Implements the Any class. This implementation uses the `ListInputStream` and `ListOutputStream` classes for it's data storage. Non-primitive types inserted/extracted into this implementation are generaly stored by reference.

Version:
  $Revision: 1.14 $ $Date: 2002/09/24 05:31:28 $
Author:
  Chris Wood
See Also:
  Serialized Form

Method Summary
`InputStream` | `create_input_stream()`
`OutputStream` | `create_output_stream()`
`boolean` | `equal(Any a)`
`Any` | `extract_any()`
`boolean` | `extract_boolean()`
`char` | `extract_char()`
`double` | `extract_double()`
`java.math.BigDecimal` | `extract_fixed()`
`float` | `extract_float()`
`int` | `extract_long()`
`long` | `extract_longlong()`
`Object` | `extract_Object()`
`byte` | `extract_octet()`
`Principal` | `extract_Principal()` Deprecated.
`short` | `extract_short()`
`Streamable` | `extract_Streamable()`
`java.lang.String` | `extract_string()`
`TypeCode` | `extract_TypeCode()`
`int` | `extract_ulong()`
`long` | `extract_ulonglong()`
`short` | `extract_ushort()`
`java.io.Serializable` | `extract_Value()`
`char` | `extract_wchar()`
`java.lang.String` | `extract_wstring()`
`java.lang.Throwable` | `getUnknownException()`
`void` | `insert_any(Any a)`
`void` | `insert_boolean(boolean b)`
`void` | `insert_char(char c)`
`void` | `insert_double(double d)`
`void` | `insert_fixed(java.math.BigDecimal f, TypeCode t)`
`void` | `insert_float(float f)`
`void` | `insert_long(int i)`
`void` | `insert_longlong(long l)`
`void` | `insert_Object(Object obj)`
`void` | `insert_Object(Object obj, TypeCode t)`
`void` | `insert_octet(byte b)`
`void` | `insert_Principal(Principal p)` Deprecated.
`void` | `insert_short(short s)`
`void` | `insert_Streamable(Streamable s)`
`void` | `insert_string(java.lang.String s)`
`void` | `insert_TypeCode(TypeCode value)`
`void` | `insert_ulong(int i)`
`void` | `insert_ulonglong(long l)`
`void` | `insert_ushort(short s)`
`void` | `insert_Value(java.io.Serializable v)`
`void` | `insert_Value(java.io.Serializable v, TypeCode t)`
`void` | `insert_wchar(char c)`
`void` | `insert_wstring(java.lang.String s)`
`void` | `read_value(InputStream is, TypeCode t)`
`void` | `setUnknownException(java.lang.Throwable ue)`
`TypeCode` | `type()`
`void` | `type(TypeCode t)`
`void` | `write_value(OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getUnknownException

    public java.lang.Throwable getUnknownException()

### setUnknownException

    public void setUnknownException(java.lang.Throwable ue)

### equal

    public boolean equal(Any a)

  Overrides:
    `equal` in class `Any`

### type

    public TypeCode type()

  Overrides:
    `type` in class `Any`

### type

    public void type(TypeCode t)

  Overrides:
    `type` in class `Any`

### read_value

    public void read_value(InputStream is,
                           TypeCode t)
                    throws MARSHAL

  Overrides:
    `read_value` in class `Any`

### write_value

    public void write_value(OutputStream os)

  Overrides:
    `write_value` in class `Any`

### create_output_stream

    public OutputStream create_output_stream()

  Overrides:
    `create_output_stream` in class `Any`

### create_input_stream

    public InputStream create_input_stream()

  Overrides:
    `create_input_stream` in class `Any`

### extract_short

    public short extract_short()
                        throws BAD_OPERATION

  Overrides:
    `extract_short` in class `Any`

### insert_short

    public void insert_short(short s)

  Overrides:
    `insert_short` in class `Any`

### extract_ushort

    public short extract_ushort()
                         throws BAD_OPERATION

  Overrides:
    `extract_ushort` in class `Any`

### insert_ushort

    public void insert_ushort(short s)

  Overrides:
    `insert_ushort` in class `Any`

### extract_long

    public int extract_long()
                     throws BAD_OPERATION

  Overrides:
    `extract_long` in class `Any`

### insert_long

    public void insert_long(int i)

  Overrides:
    `insert_long` in class `Any`

### extract_ulong

    public int extract_ulong()
                      throws BAD_OPERATION

  Overrides:
    `extract_ulong` in class `Any`

### insert_ulong

    public void insert_ulong(int i)

  Overrides:
    `insert_ulong` in class `Any`

### extract_longlong

    public long extract_longlong()
                          throws BAD_OPERATION

  Overrides:
    `extract_longlong` in class `Any`

### insert_longlong

    public void insert_longlong(long l)

  Overrides:
    `insert_longlong` in class `Any`

### extract_ulonglong

    public long extract_ulonglong()
                           throws BAD_OPERATION

  Overrides:
    `extract_ulonglong` in class `Any`

### insert_ulonglong

    public void insert_ulonglong(long l)

  Overrides:
    `insert_ulonglong` in class `Any`

### extract_float

    public float extract_float()
                        throws BAD_OPERATION

  Overrides:
    `extract_float` in class `Any`

### insert_float

    public void insert_float(float f)

  Overrides:
    `insert_float` in class `Any`

### extract_double

    public double extract_double()
                          throws BAD_OPERATION

  Overrides:
    `extract_double` in class `Any`

### insert_double

    public void insert_double(double d)

  Overrides:
    `insert_double` in class `Any`

### extract_boolean

    public boolean extract_boolean()
                            throws BAD_OPERATION

  Overrides:
    `extract_boolean` in class `Any`

### insert_boolean

    public void insert_boolean(boolean b)

  Overrides:
    `insert_boolean` in class `Any`

### extract_char

    public char extract_char()
                      throws BAD_OPERATION

  Overrides:
    `extract_char` in class `Any`

### insert_char

    public void insert_char(char c)

  Overrides:
    `insert_char` in class `Any`

### extract_wchar

    public char extract_wchar()
                       throws BAD_OPERATION

  Overrides:
    `extract_wchar` in class `Any`

### insert_wchar

    public void insert_wchar(char c)

  Overrides:
    `insert_wchar` in class `Any`

### extract_octet

    public byte extract_octet()
                       throws BAD_OPERATION

  Overrides:
    `extract_octet` in class `Any`

### insert_octet

    public void insert_octet(byte b)

  Overrides:
    `insert_octet` in class `Any`

### extract_string

    public java.lang.String extract_string()
                                    throws BAD_OPERATION

  Overrides:
    `extract_string` in class `Any`

### insert_string

    public void insert_string(java.lang.String s)
                       throws DATA_CONVERSION,
                              MARSHAL

  Overrides:
    `insert_string` in class `Any`

### extract_wstring

    public java.lang.String extract_wstring()
                                     throws BAD_OPERATION

  Overrides:
    `extract_wstring` in class `Any`

### insert_wstring

    public void insert_wstring(java.lang.String s)
                        throws MARSHAL

  Overrides:
    `insert_wstring` in class `Any`

### extract_TypeCode

    public TypeCode extract_TypeCode()
                              throws BAD_OPERATION

  Overrides:
    `extract_TypeCode` in class `Any`

### insert_TypeCode

    public void insert_TypeCode(TypeCode value)

  Overrides:
    `insert_TypeCode` in class `Any`

### extract_Principal

    public Principal extract_Principal()
                                throws BAD_OPERATION

  Deprecated.

  Overrides:
    `extract_Principal` in class `Any`

### insert_Principal

    public void insert_Principal(Principal p)

  Deprecated.

  Overrides:
    `insert_Principal` in class `Any`

### extract_fixed

    public java.math.BigDecimal extract_fixed()

  Overrides:
    `extract_fixed` in class `Any`

### insert_fixed

    public void insert_fixed(java.math.BigDecimal f,
                             TypeCode t)
                      throws BAD_INV_ORDER

  Overrides:
    `insert_fixed` in class `Any`

### extract_any

    public Any extract_any()
                    throws BAD_OPERATION

  Overrides:
    `extract_any` in class `Any`

### insert_any

    public void insert_any(Any a)

  Overrides:
    `insert_any` in class `Any`

### extract_Object

    public Object extract_Object()
                          throws BAD_OPERATION

  Overrides:
    `extract_Object` in class `Any`

### insert_Object

    public void insert_Object(Object obj)

  Overrides:
    `insert_Object` in class `Any`

### insert_Object

    public void insert_Object(Object obj,
                              TypeCode t)
                       throws BAD_PARAM

  Overrides:
    `insert_Object` in class `Any`

### extract_Value

    public java.io.Serializable extract_Value()
                                       throws BAD_OPERATION

  Overrides:
    `extract_Value` in class `Any`

### insert_Value

    public void insert_Value(java.io.Serializable v)

  Overrides:
    `insert_Value` in class `Any`

### insert_Value

    public void insert_Value(java.io.Serializable v,
                             TypeCode t)
                      throws MARSHAL

  Overrides:
    `insert_Value` in class `Any`

### extract_Streamable

    public Streamable extract_Streamable()
                                  throws BAD_INV_ORDER

  Overrides:
    `extract_Streamable` in class `Any`

### insert_Streamable

    public void insert_Streamable(Streamable s)

  Overrides:
    `insert_Streamable` in class `Any`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD